%define name draklive-install
%define version 0.7
%define release %mkrel 1
%define iconname MandrivaOne-install-icon.png
%define xsetup_level 60

Summary:	Live installer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Configuration/Other
Url:		https://svn.mandriva.com/svn/soft/drakx/trunk/live/draklive-install/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:	drakxtools >= 10.4.222-1mdv2008.0

%description
This tool allows to install Mandriva from a running live system.

%prep
%setup -q

%build
%make

%install
rm -rf %buildroot

%makeinstall

for d in %_datadir/nautilus/default-desktop %_datadir/apps/kdesktop/DesktopLinks; do
  install -D -m 0644 %name.desktop %buildroot/$d/%name.desktop
done
install -D -m 0755 %name %buildroot/%_sbindir/%name

mkdir -p %buildroot{%_miconsdir,%_iconsdir,%_liconsdir,%_menudir,%_datadir/libDrakX/pixmaps/,%_datadir/applications,%_datadir/icons/hicolor/{16x16,32x32,48x48}/apps}
install data/icons/IC-installone-48.png %buildroot%_liconsdir/%iconname
install data/icons/IC-installone-32.png %buildroot%_iconsdir/%iconname
install data/icons/IC-installone-16.png %buildroot%_miconsdir/%iconname
cp -l %buildroot%_liconsdir/%iconname %buildroot%_datadir/icons/hicolor/48x48/apps/%iconname
cp -l %buildroot%_liconsdir/%iconname %buildroot%_datadir/icons/hicolor/32x32/apps/%iconname
cp -l %buildroot%_liconsdir/%iconname %buildroot%_datadir/icons/hicolor/16x16/apps/%iconname
install data/icons/MandrivaOne-*.png %buildroot%_datadir/libDrakX/pixmaps/
install mandriva-draklive-install.desktop %buildroot%_datadir/applications/
install -D -m 0755 %{name}.xsetup %buildroot%_sysconfdir/X11/xsetup.d/%{xsetup_level}%{name}.xsetup

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%_sbindir/%name
%_datadir/apps/kdesktop/DesktopLinks/*.desktop
%_datadir/nautilus/default-desktop/*.desktop
%_datadir/applications/mandriva-draklive-install.desktop
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname
%_datadir/icons/hicolor/*/apps/%iconname
%_datadir/libDrakX/pixmaps/MandrivaOne-*.png
%_sysconfdir/X11/xsetup.d/??%{name}.xsetup




%changelog
* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2008.0
+ Revision: 95441
- 0.7
- really fix "reboot needed" warning (#33986)
- umount all partitions before starting install
- remove /etc/modprobe.d/mandriva-live after install

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2008.0
+ Revision: 93784
- require a new drakxtools version to allow not poping wait messages
- 0.6
- fix "reboot needed" warning (#33986)
- enable mdkonline after install (#34000)
- use new pop_wait_messages option from interactive::gtk
  not to use hack that does not work anymore (made the installer crash)


* Tue Mar 27 2007 Olivier Blin <oblin@mandriva.com> 0.5-1mdv2007.1
+ Revision: 149018
- 0.5: use shared bootloader code (so that resume= is correctly set)
- copy icons in fdo location to make them sharper on the desktop (thanks Titi for the hint)
- 0.4

* Wed Feb 28 2007 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2007.1
+ Revision: 127223
- 0.3 (see NEWS file for details)
- 0.3 (see NEWS file for details)

* Tue Feb 06 2007 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.1
+ Revision: 116878
- 0.2
- fix progress bar (#27889)
- use fs::partitioning and fs::partitioning_wizard instead of copying installer code
- allow to run draklive-install at live boot with "install" parameter on the kernel command line (using xsetup.d)
- update/clean menus
- add menu entry (merge commit 86397)
- Import draklive-install

* Wed Sep 20 2006 Olivier Blin <oblin@mandriva.com> 0.1-10mdv2007.0
- reenable crond after live-install

* Sat Sep 16 2006 Olivier Blin <oblin@mandriva.com> 0.1-9mdv2007.0
- detect swap devices so that they can be unmounted
  (thanks Pixel for the debugging, #25538)

* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com> 0.1-8mdv2007.0
- create /mnt and its top-level-directories (#25137)
- don't grab focus if a window manager is running (#23454) and, as
  a side effect, don't die when switching to another desktop (#23453)

* Fri Jun 16 2006 Olivier Blin <oblin@mandriva.com> 0.1-7mdv2007.0
- remove useless update-menus calls

* Sun Mar 05 2006 Olivier Blin <oblin@mandriva.com> 0.1-6mdk
- allow to use grub as a bootloader (#21318, fix typo)

* Mon Feb 27 2006 Olivier Blin <oblin@mandriva.com> 0.1-5mdk
- updates translations

* Fri Feb 24 2006 Olivier Blin <oblin@mandriva.com> 0.1-4mdk
- make sure the cancel button is available in this pseudo-drakboot-boot
- make the wizard really die when it is cancelled
- use a smaller welcome image

* Fri Feb 24 2006 Olivier Blin <oblin@mandriva.com> 0.1-3mdk
- use correct size for small icon

* Thu Feb 23 2006 Olivier Blin <oblin@mandriva.com> 0.1-2mdk
- make partition tools not fail finding fs tools (#21260)
- update po files

* Fri Dec 16 2005 Olivier Blin <oblin@mandriva.com> 0.1-1mdk
- initial release

